%global pypi_name pydantic-core
%global srcname pydantic_core

%global debug_package %{nil}

%bcond_with check

Name:           python-%{pypi_name}
Version:        2.16.3
Release:        %mkrel 1
Summary:        Core functionality for pydantic validation and serialization
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pydantic-core
Source0:        %{pypi_source}
Source1:	pydantic_core-%{version}-vendor.tar.bz2
# Source and .spec needs to be in a same dir before running
Source2:	vendor_rust.py
BuildRequires:  python3-devel
BuildRequires:  cargo2rpm
BuildRequires:  cargo-rpm-macros

%description
This package provides the core functionality for pydantic validation and
serialization.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides the core functionality for pydantic validation and
serialization.

%prep
%autosetup -n %{srcname}-%{version} -a1

mkdir -p .cargo
cat > .cargo/config << EOF
[env]
CFLAGS = "%{build_cflags}"
CXXFLAGS = "%{build_cxxflags}"
LDFLAGS = "%{build_ldflags}"

[term]
verbose = true

[source]

[source.local-registry]
directory = "vendor"

[source.crates-io]
registry = "https://crates.io"
replace-with = "local-registry"
EOF

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x testing}

%build
export RUSTFLAGS="%{build_rustflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Apr 03 2024 papoteur <papoteur> 2.16.3-1.mga10
+ Revision: 2054128
- new version 2.16.3

* Sun Dec 10 2023 wally <wally> 2.14.5-1.mga10
+ Revision: 2016931
- imported package python-pydantic-core

